/*********************************************************************/
/* cyfromat.c   v 2.3      by J.Sobczyk IAPW       2001.08.02  17:01 */
/*                                                                   */
/* Polish document converter.                                        */
/* Cyfromat                                                          */
/*********************************************************************/
#include <stdio.h>
#include "polcnv.h"

/*********************************************************************/
code_tbl cyfromat_tbl =
  {
    { 0x090,   0x0105 },   /* LATIN SMALL LETTER A WITH OGONEK */
    { 0x091,   0x0107 },   /* LATIN SMALL LETTER C WITH ACUTE */
    { 0x092,   0x0119 },   /* LATIN SMALL LETTER E WITH OGONEK */
    { 0x093,   0x0142 },   /* LATIN SMALL LETTER L WITH STROKE */
    { 0x094,   0x0144 },   /* LATIN SMALL LETTER N WITH ACUTE */
    { 0x095,   0x00F3 },   /* LATIN SMALL LETTER O WITH ACUTE */
    { 0x096,   0x015B },   /* LATIN SMALL LETTER S WITH ACUTE */
    { 0x098,   0x017A },   /* LATIN SMALL LETTER Z WITH ACUTE */
    { 0x097,   0x017C },   /* LATIN SMALL LETTER Z WITH DOT ABOVE */
    { 0x080,   0x0104 },   /* LATIN CAPITAL LETTER A WITH OGONEK */
    { 0x081,   0x0106 },   /* LATIN CAPITAL LETTER C WITH ACUTE */
    { 0x082,   0x0118 },   /* LATIN CAPITAL LETTER E WITH OGONEK */
    { 0x083,   0x0141 },   /* LATIN CAPITAL LETTER L WITH STROKE */
    { 0x084,   0x0143 },   /* LATIN CAPITAL LETTER N WITH ACUTE */
    { 0x085,   0x00D3 },   /* LATIN CAPITAL LETTER O WITH ACUTE */
    { 0x086,   0x015A },   /* LATIN CAPITAL LETTER S WITH ACUTE */
    { 0x088,   0x0179 },   /* LATIN CAPITAL LETTER Z WITH ACUTE */
    { 0x087,   0x017B }    /* LATIN CAPITAL LETTER Z WITH DOT ABOVE */
  };

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int test_cyfromat( void )
  {
  return table_test( cyfromat_tbl, 2*POL_NR );
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void init_cyfromat( void )
  {
  trans[ TYPE_CYFROMAT ].key		= (char*)"";
  trans[ TYPE_CYFROMAT ].long_key	= (char*)"-cyfromat";
  trans[ TYPE_CYFROMAT ].name		= (char*)"Cyfromat";
  trans[ TYPE_CYFROMAT ].reset_inp       = NULL;
  trans[ TYPE_CYFROMAT ].reset_out       = NULL;
  trans[ TYPE_CYFROMAT ].decode          = table_decode;
  trans[ TYPE_CYFROMAT ].encode          = table_encode;
  trans[ TYPE_CYFROMAT ].inp_tbl         = cyfromat_tbl;
  trans[ TYPE_CYFROMAT ].inp_tbl_size    = 2*POL_NR;
  trans[ TYPE_CYFROMAT ].out_tbl         = cyfromat_tbl;
  trans[ TYPE_CYFROMAT ].out_tbl_size    = 2*POL_NR;
  trans[ TYPE_CYFROMAT ].buf_tst         = NULL;
  trans[ TYPE_CYFROMAT ].freq_tst        = test_cyfromat;
  }

/*********************************************************************/
