/*********************************************************************/
/* iso.c        v 2.3      by J.Sobczyk IAPW       2001.08.02  17:01 */
/*                                                                   */
/* Polish document converter.                                        */
/* ISO 8859-1                                                        */
/*********************************************************************/
#include <stdio.h>
#include "polcnv.h"

/*-------------------------------------------------------------------*/
#define SIZE_ISO_8859_1 1
unicode iso_8859_1_tbl[SIZE_ISO_8859_1][2] = /* Latin 1 ISO 8859-1 */
  {
    { 0x000,  0x0000 } 	
  };

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int test_iso_8859_1( void )
  {
  return table_test( iso_8859_1_tbl, SIZE_ISO_8859_1 );
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void init_iso_8859_1( void )
  {
  trans[ TYPE_ISO_8859_1 ].key                = (char*)"-i1";
  trans[ TYPE_ISO_8859_1 ].long_key           = (char*)"-iso-8859-1";
  trans[ TYPE_ISO_8859_1 ].name               = (char*)"ISO 8859-1 Latin 1";
  trans[ TYPE_ISO_8859_1 ].reset_inp          = NULL;
  trans[ TYPE_ISO_8859_1 ].reset_out          = NULL;
  trans[ TYPE_ISO_8859_1 ].decode             = table_decode;
  trans[ TYPE_ISO_8859_1 ].encode             = table_encode;
  trans[ TYPE_ISO_8859_1 ].inp_tbl            = iso_8859_1_tbl;
  trans[ TYPE_ISO_8859_1 ].inp_tbl_size       = SIZE_ISO_8859_1;
  trans[ TYPE_ISO_8859_1 ].out_tbl            = iso_8859_1_tbl;
  trans[ TYPE_ISO_8859_1 ].out_tbl_size       = SIZE_ISO_8859_1;
  trans[ TYPE_ISO_8859_1 ].buf_tst            = NULL;
  trans[ TYPE_ISO_8859_1 ].freq_tst           = test_iso_8859_1;
  }

/*********************************************************************/
