/*********************************************************************/
/* iso.c        v 2.3      by J.Sobczyk IAPW       2001.08.02  17:01 */
/*                                                                   */
/* Polish document converter.                                        */
/* Macintosh                                                         */
/*********************************************************************/
#include <stdio.h>
#include "polcnv.h"

/*-------------------------------------------------------------------*/
code_tbl macintosh_tbl = /* Macintosh */
  {
    { 0x088,   0x0105 },   /* LATIN SMALL LETTER A WITH OGONEK */
    { 0x08D,   0x0107 },   /* LATIN SMALL LETTER C WITH ACUTE */
    { 0x0AB,   0x0119 },   /* LATIN SMALL LETTER E WITH OGONEK */
    { 0x0B8,   0x0142 },   /* LATIN SMALL LETTER L WITH STROKE */
    { 0x0C4,   0x0144 },   /* LATIN SMALL LETTER N WITH ACUTE */
    { 0x097,   0x00F3 },   /* LATIN SMALL LETTER O WITH ACUTE */
    { 0x0E6,   0x015B },   /* LATIN SMALL LETTER S WITH ACUTE */
    { 0x090,   0x017A },   /* LATIN SMALL LETTER Z WITH ACUTE */
    { 0x0FD,   0x017C },   /* LATIN SMALL LETTER Z WITH DOT ABOVE */
    { 0x084,   0x0104 },   /* LATIN CAPITAL LETTER A WITH OGONEK */
    { 0x08C,   0x0106 },   /* LATIN CAPITAL LETTER C WITH ACUTE */
    { 0x0A2,   0x0118 },   /* LATIN CAPITAL LETTER E WITH OGONEK */
    { 0x0FC,   0x0141 },   /* LATIN CAPITAL LETTER L WITH STROKE */
    { 0x0C1,   0x0143 },   /* LATIN CAPITAL LETTER N WITH ACUTE */
    { 0x0EE,   0x00D3 },   /* LATIN CAPITAL LETTER O WITH ACUTE */
    { 0x0E5,   0x015A },   /* LATIN CAPITAL LETTER S WITH ACUTE */
    { 0x08F,   0x0179 },   /* LATIN CAPITAL LETTER Z WITH ACUTE */
    { 0x0FB,   0x017B }    /* LATIN CAPITAL LETTER Z WITH DOT ABOVE */
  };

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int test_macintosh( void )
  {
  return table_test( macintosh_tbl, 2*POL_NR );
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void init_macintosh( void )
  {
  trans[ TYPE_MACINTOSH ].key		= (char*)"-a";
  trans[ TYPE_MACINTOSH ].long_key	= (char*)"-apple";
  trans[ TYPE_MACINTOSH ].name		= (char*)"Apple Macintosh";
  trans[ TYPE_MACINTOSH ].reset_inp	= NULL;;
  trans[ TYPE_MACINTOSH ].reset_out	= NULL;;
  trans[ TYPE_MACINTOSH ].decode	= table_decode;
  trans[ TYPE_MACINTOSH ].encode	= table_encode;
  trans[ TYPE_MACINTOSH ].inp_tbl	= macintosh_tbl;
  trans[ TYPE_MACINTOSH ].inp_tbl_size	= 2*POL_NR;
  trans[ TYPE_MACINTOSH ].out_tbl	= macintosh_tbl;
  trans[ TYPE_MACINTOSH ].out_tbl_size	= 2*POL_NR;
  trans[ TYPE_MACINTOSH ].buf_tst	= NULL;
  trans[ TYPE_MACINTOSH ].freq_tst	= test_macintosh;
  }

/*********************************************************************/
