/*********************************************************************/
/* unia.c       v 2.3      by J.Sobczyk IAPW       2001.08.02  17:01 */
/*                                                                   */
/* Polish document converter.                                        */
/* Unia                                                              */
/*********************************************************************/
#include <stdio.h>
#include "polcnv.h"

/*********************************************************************/
code_tbl unia_tbl =
  {
    { 0x086,   0x0105 },   /* LATIN SMALL LETTER A WITH OGONEK */
    { 0x095,   0x0107 },   /* LATIN SMALL LETTER C WITH ACUTE */
    { 0x082,   0x0119 },   /* LATIN SMALL LETTER E WITH OGONEK */
    { 0x091,   0x0142 },   /* LATIN SMALL LETTER L WITH STROKE */
    { 0x0A4,   0x0144 },   /* LATIN SMALL LETTER N WITH ACUTE */
    { 0x094,   0x00F3 },   /* LATIN SMALL LETTER O WITH ACUTE */
    { 0x084,   0x015B },   /* LATIN SMALL LETTER S WITH ACUTE */
    { 0x0A8,   0x017A },   /* LATIN SMALL LETTER Z WITH ACUTE */
    { 0x081,   0x017C },   /* LATIN SMALL LETTER Z WITH DOT ABOVE */
    { 0x08F,   0x0104 },   /* LATIN CAPITAL LETTER A WITH OGONEK */
    { 0x097,   0x0106 },   /* LATIN CAPITAL LETTER C WITH ACUTE */
    { 0x090,   0x0118 },   /* LATIN CAPITAL LETTER E WITH OGONEK */
    { 0x092,   0x0141 },   /* LATIN CAPITAL LETTER L WITH STROKE */
    { 0x0A5,   0x0143 },   /* LATIN CAPITAL LETTER N WITH ACUTE */
    { 0x099,   0x00D3 },   /* LATIN CAPITAL LETTER O WITH ACUTE */
    { 0x08E,   0x015A },   /* LATIN CAPITAL LETTER S WITH ACUTE */
    { 0x0AD,   0x0179 },   /* LATIN CAPITAL LETTER Z WITH ACUTE */
    { 0x09A,   0x017B }    /* LATIN CAPITAL LETTER Z WITH DOT ABOVE */
  };

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int test_unia( void )
  {
  return table_test( unia_tbl, 2*POL_NR );
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void init_unia( void )
  {
  trans[ TYPE_UNIA ].key		= (char*)"-u";
  trans[ TYPE_UNIA ].long_key		= (char*)"-unia";
  trans[ TYPE_UNIA ].name		= (char*)"Unia";
  trans[ TYPE_UNIA ].reset_inp       	= NULL;;
  trans[ TYPE_UNIA ].reset_out       	= NULL;;
  trans[ TYPE_UNIA ].decode          	= table_decode;
  trans[ TYPE_UNIA ].encode          	= table_encode;
  trans[ TYPE_UNIA ].inp_tbl         	= unia_tbl;
  trans[ TYPE_UNIA ].inp_tbl_size    	= 2*POL_NR;
  trans[ TYPE_UNIA ].out_tbl         	= unia_tbl;
  trans[ TYPE_UNIA ].out_tbl_size    	= 2*POL_NR;
  trans[ TYPE_UNIA ].buf_tst         	= NULL;
  trans[ TYPE_UNIA ].freq_tst		= test_unia;
  }

/*********************************************************************/
