/*********************************************************************/
/* ventura.c    v 2.3      by J.Sobczyk IAPW       2001.08.02  17:01 */
/*                                                                   */
/* Polish document converter.                                        */
/* Ventura                                                           */
/*********************************************************************/
#include <stdio.h>
#include "polcnv.h"

/*********************************************************************/
code_tbl ventura_tbl =
  {
    { 0x096,   0x0105 },   /* LATIN SMALL LETTER A WITH OGONEK */
    { 0x094,   0x0107 },   /* LATIN SMALL LETTER C WITH ACUTE */
    { 0x0a4,   0x0119 },   /* LATIN SMALL LETTER E WITH OGONEK */
    { 0x0a7,   0x0142 },   /* LATIN SMALL LETTER L WITH STROKE */
    { 0x091,   0x0144 },   /* LATIN SMALL LETTER N WITH ACUTE */
    { 0x0a2,   0x00F3 },   /* LATIN SMALL LETTER O WITH ACUTE */
    { 0x084,   0x015B },   /* LATIN SMALL LETTER S WITH ACUTE */
    { 0x082,   0x017A },   /* LATIN SMALL LETTER Z WITH ACUTE */
    { 0x087,   0x017C },   /* LATIN SMALL LETTER Z WITH DOT ABOVE */
    { 0x097,   0x0104 },   /* LATIN CAPITAL LETTER A WITH OGONEK */
    { 0x099,   0x0106 },   /* LATIN CAPITAL LETTER C WITH ACUTE */
    { 0x0a5,   0x0118 },   /* LATIN CAPITAL LETTER E WITH OGONEK */
    { 0x0a6,   0x0141 },   /* LATIN CAPITAL LETTER L WITH STROKE */
    { 0x092,   0x0143 },   /* LATIN CAPITAL LETTER N WITH ACUTE */
    { 0x08f,   0x00D3 },   /* LATIN CAPITAL LETTER O WITH ACUTE */
    { 0x08e,   0x015A },   /* LATIN CAPITAL LETTER S WITH ACUTE */
    { 0x090,   0x0179 },   /* LATIN CAPITAL LETTER Z WITH ACUTE */
    { 0x080,   0x017B }    /* LATIN CAPITAL LETTER Z WITH DOT ABOVE */
  };

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int test_ventura( void )
  {
  return table_test( ventura_tbl, 2*POL_NR );
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void init_ventura( void )
  {
  trans[ TYPE_VENTURA ].key		= (char*)"";
  trans[ TYPE_VENTURA ].long_key	= (char*)"-ventura";
  trans[ TYPE_VENTURA ].name		= (char*)"Ventura";
  trans[ TYPE_VENTURA ].reset_inp       = NULL;
  trans[ TYPE_VENTURA ].reset_out       = NULL;
  trans[ TYPE_VENTURA ].decode          = table_decode;
  trans[ TYPE_VENTURA ].encode          = table_encode;
  trans[ TYPE_VENTURA ].inp_tbl         = ventura_tbl;
  trans[ TYPE_VENTURA ].inp_tbl_size    = 2*POL_NR;
  trans[ TYPE_VENTURA ].out_tbl         = ventura_tbl;
  trans[ TYPE_VENTURA ].out_tbl_size    = 2*POL_NR;
  trans[ TYPE_VENTURA ].buf_tst         = NULL;
  trans[ TYPE_VENTURA ].freq_tst        = test_ventura;
  }

/*********************************************************************/
